Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc
Class WrappedStatement

    java.lang.Object
      org.jboss.resource.adapter.jdbc.WrappedStatement

All Implemented Interfaces:
  Statement, org.jboss.ejb.plugins.cmp.jdbc.WrappedStatement

Direct Known Subclasses:
  WrappedPreparedStatement

public class WrappedStatement
extends Object
implements Statement, org.jboss.ejb.plugins.cmp.jdbc.WrappedStatement

A wrapper for a statement.

Version:
  $Revision: 1.8 $
Author:
  David Jencks, Adrian Brock

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`WrappedStatement(WrappedConnection lc, Statement s)`

Method Summary
`void` | `addBatch(String sql)`
`void` | `cancel()`
`protected void` | `checkException(SQLException e)`
`protected void` | `checkTransaction()`
`void` | `clearBatch()`
`void` | `clearWarnings()`
`void` | `close()`
`protected void` | `closeResultSets()`
`boolean` | `execute(String sql)`
`boolean` | `execute(String sql, int autoGeneratedKeys)`
`boolean` | `execute(String sql, int[] columnIndexes)`
`boolean` | `execute(String sql, String[] columnNames)`
`int[]` | `executeBatch()`
`ResultSet` | `executeQuery(String sql)`
`int` | `executeUpdate(String sql)`
`int` | `executeUpdate(String sql, int autoGeneratedKeys)`
`int` | `executeUpdate(String sql, int[] columnIndexes)`
`int` | `executeUpdate(String sql, String[] columnNames)`
`Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`ResultSet` | `getGeneratedKeys()`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int current)`
`int` | `getQueryTimeout()`
`ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`Statement` | `getUnderlyingStatement()`
`int` | `getUpdateCount()`
`SQLWarning` | `getWarnings()`
`protected void` | `internalClose()`
`protected ResultSet` | `registerResultSet(ResultSet resultSet)`
`void` | `setCursorName(String name)`
`void` | `setEscapeProcessing(boolean enable)`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `setMaxFieldSize(int max)`
`void` | `setMaxRows(int max)`
`void` | `setQueryTimeout(int timeout)`
`protected void` | `unregisterResultSet(WrappedResultSet resultSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedStatement

    public WrappedStatement(WrappedConnection lc,
                            Statement s)

Method Detail

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Statement`
  Throws:
    `SQLException` -

### execute

    public boolean execute(String sql)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### execute

    public boolean execute(String sql,
                           int autoGeneratedKeys)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### execute

    public boolean execute(String sql,
                           int[] columnIndexes)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### execute

    public boolean execute(String sql,
                           String[] columnNames)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Statement`
  Throws:
    `SQLException` -

### executeQuery

    public ResultSet executeQuery(String sql)
                           throws SQLException

  Specified by:
    `executeQuery` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### executeUpdate

    public int executeUpdate(String sql)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### executeUpdate

    public int executeUpdate(String sql,
                             int autoGeneratedKeys)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### executeUpdate

    public int executeUpdate(String sql,
                             int[] columnIndexes)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### executeUpdate

    public int executeUpdate(String sql,
                             String[] columnNames)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  Specified by:
    `getMaxFieldSize` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws SQLException

  Specified by:
    `setMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException` -

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  Specified by:
    `getMaxRows` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### setMaxRows

    public void setMaxRows(int max)
                    throws SQLException

  Specified by:
    `setMaxRows` in interface `Statement`
  Throws:
    `SQLException` -

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws SQLException

  Specified by:
    `setEscapeProcessing` in interface `Statement`
  Throws:
    `SQLException` -

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  Specified by:
    `getQueryTimeout` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### setQueryTimeout

    public void setQueryTimeout(int timeout)
                         throws SQLException

  Specified by:
    `setQueryTimeout` in interface `Statement`
  Throws:
    `SQLException` -

### cancel

    public void cancel()
                throws SQLException

  Specified by:
    `cancel` in interface `Statement`
  Throws:
    `SQLException` -

### setCursorName

    public void setCursorName(String name)
                       throws SQLException

  Specified by:
    `setCursorName` in interface `Statement`
  Throws:
    `SQLException` -

### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

  Specified by:
    `getResultSet` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

  Specified by:
    `getUpdateCount` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getMoreResults

    public boolean getMoreResults(int current)
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `Statement`
  Throws:
    `SQLException` -

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### setFetchSize

    public void setFetchSize(int rows)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `Statement`
  Throws:
    `SQLException` -

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

  Specified by:
    `getResultSetConcurrency` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getResultSetType

    public int getResultSetType()
                         throws SQLException

  Specified by:
    `getResultSetType` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### addBatch

    public void addBatch(String sql)
                  throws SQLException

  Specified by:
    `addBatch` in interface `Statement`
  Throws:
    `SQLException` -

### clearBatch

    public void clearBatch()
                    throws SQLException

  Specified by:
    `clearBatch` in interface `Statement`
  Throws:
    `SQLException` -

### executeBatch

    public int[] executeBatch()
                       throws SQLException

  Specified by:
    `executeBatch` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

  Specified by:
    `getGeneratedKeys` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

  Specified by:
    `getResultSetHoldability` in interface `Statement`
  Returns:
  Throws:
    `SQLException` -

### getUnderlyingStatement

    public Statement getUnderlyingStatement()

  Specified by:
    `getUnderlyingStatement` in interface `org.jboss.ejb.plugins.cmp.jdbc.WrappedStatement`

### checkException

    protected void checkException(SQLException e)
                           throws SQLException

  Throws:
    `SQLException`

### checkTransaction

    protected void checkTransaction()
                             throws SQLException

  Throws:
    `SQLException`

### internalClose

    protected void internalClose()
                          throws SQLException

  Throws:
    `SQLException`

### registerResultSet

    protected ResultSet registerResultSet(ResultSet resultSet)

### unregisterResultSet

    protected void unregisterResultSet(WrappedResultSet resultSet)

### closeResultSets

    protected void closeResultSets()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.